

$(document).ready(function(){
    //NEW TOPIC
    $('#fmr_register').submit(function(e){
        e.preventDefault(); // Evita que el formulario se envíe automáticamente
        
        var nombre = $("#nombre").val();
        var email = $("#correo").val();
        var filial = $("#filial").val();
        

        console.log('****'+nombre+' -- '+email+'///'+filial);
        
        if( nombre.length > 1 &&  filial.length >= 1 && email.length > 1){
            console.log('https://lacallecr.com/VV/apps/users/proccess/actions.php?ac=reg&n='+nombre+'&e='+email+'&f='+filial)  ;
            fetch('https://lacallecr.com/VV/apps/users/proccess/actions.php?ac=reg&n='+nombre+'&e='+email+'&f='+filial)
            .then(function(response) {
          return response.json();//json
      }).then(function(data){

         if(data.control > 0){

            $("#btn_post").prop("disabled",true );

            Swal.fire({
                title: '¡BIENVENIDO!',
                text: 'En tu correo vas a recibir tu usuario y password para entrar al Sistema',
                icon: 'success', // Icono de éxito
                confirmButtonText: 'Aceptar' // Texto del botón de confirmación
            }).then((result) => {
                if (result.isConfirmed) {
                    window.close(); // Cierra la página
                }
            });

           
        } else {

           Swal.fire({
            icon: "error",
            title: "Oops...",
            text: "Hubo un error "

        });
       }

   }).catch(function(error){
    alert("A system error was detected");
});

} else {    

    Swal.fire({
        icon: "error",
        title: "Oops...",
        text: "Todos los campos son obligatorios",
        footer: '<a href="#">Favor corregir y volver a enviar</a>'
    });
}

});


  //APROBADO
    $('#frm_pending').submit(function(e){
        e.preventDefault(); // Evita que el formulario se envíe automáticamente
        
        var tema = $("#topic").val();
        var rev = $("#revision").val();
        var reply = $("#reply").val();
        console.log('****'+tema+' -- '+rev+'///'+reply);
        if( (reply.length > 1 && rev !== null ) || rev == 1){
            console.log('https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=topicPending&t='+tema+'&r='+rev+'&reply='+reply)  ;
            fetch('https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=topicPending&t='+tema+'&r='+rev+'&reply='+reply)
            .then(function(response) {
          return response.json();//json
      }).then(function(data){

         if(data.control > 0){

            Swal.fire({
                title: '¡Genial!',
                text: 'La Revisión del Tema ha sido exitosa',
        icon: 'success', // Icono de éxito
        confirmButtonText: 'Aceptar' // Texto del botón de confirmación
    });

            setTimeout(function(){
                window.location.href = 'https://lacallecr.com/VV/apps/Forum/pending.php'; 
        }, 5000); // Establece el mismo tiempo que el timer del Sweet Alert para que la redirección ocurra después

        } else {

           Swal.fire({
            icon: "error",
            title: "Oops...",
            text: "Hubo un error 22"

        });


       }

   }).catch(function(error){
    alert("A system error was detected");
});


} else {    

    Swal.fire({
        icon: "error",
        title: "Oops...",
        text: "Todos los campos son obligatorios",
        footer: '<a href="#">Favor corregir y volver a enviar</a>'
    });
}

});

// Reply

    $('#frm_topic').submit(function(e){
        e.preventDefault(); // Evita que el formulario se envíe automáticamente
        
        var tema = $("#topic").val();
       // var reply = $("#reply").val();

        var text = document.getElementById("reply").value;

    // Codificar el texto para URL
        var reply = encodeURIComponent(text);


        
        console.log('****'+tema+'///'+reply);
        if( reply.length > 1 && reply !== null ){
            console.log('https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=reply&t='+tema+'&reply='+reply)  ;
           // exit;
            fetch('https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=reply&t='+tema+'&reply='+reply)
            .then(function(response) {
          return response.json();//json
      }).then(function(data){

         if(data.control > 0){
            $("#btn_post").prop("disabled",true);
            Swal.fire({
                title: '¡Genial!',
                text: 'Su Respuesta ha sido Guardada',
        icon: 'success', // Icono de éxito
        confirmButtonText: 'Aceptar' // Texto del botón de confirmación
    });

            setTimeout(function(){
                window.location.href = 'https://lacallecr.com/VV/apps/Forum/index.php'; 
        }, 5000); // Establece el mismo tiempo que el timer del Sweet Alert para que la redirección ocurra después

        } else {

           Swal.fire({
            icon: "error",
            title: "Oops...",
            text: "Hubo un error 22"

        });


       }

   }).catch(function(error){
    alert("A system error was detected");
});


} else {    

    Swal.fire({
        icon: "error",
        title: "Oops...",
        text: "Todos los campos son obligatorios",
        footer: '<a href="#">Favor corregir y volver a enviar</a>'
    });
}

});



});



function logout(){

   console.log('https://lacallecr.com/VV/apps/login/proccess/actions.php?ac=logout')  ;
   fetch('https://lacallecr.com/VV/apps/login/proccess/actions.php?ac=logout')
   .then(function(response) {
          return response.json();//json
      }).then(function(data){

          if(data.login == 1){
            window.location.href = 'https://lacallecr.com/VV/';
        }
        
    }).catch(function(error){
        alert("A system error was detected");
    });

}


function closeTopicControl(){

    var tema = $("#topic").val();
    var reply = $("#reply").val();

    if( reply.length > 1 && reply !== null ){
       Swal.fire({
        title: '¿Estás seguro de Cerrar el caso?',
        text: "¡No podrás revertir esto!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Sí',
        cancelButtonText: 'No'
    }).then((result) => {
        if (result.isConfirmed) {
                    // Si el usuario presiona "Sí"
            closeTopic();
            Swal.fire(
                '¡Confirmado!',
                'La acción ha sido confirmada.',
                'success'
                )
        } else {
                    // Opcional: Si quieres hacer algo si el usuario presiona "No"
            Swal.fire(
                'Cancelado',
                'La acción ha sido cancelada.',
                'error'
                )
        }
    })
}

else {    

    Swal.fire({
        icon: "error",
        title: "Oops...",
        text: "Todos los campos son obligatorios",
        footer: '<a href="#">Favor corregir y volver a enviar</a>'
    });
}



}

function closeTopic(){
    console.log('close');
    $('.active').hide();
    $('.closed').show();
    var tema = $("#topic").val();
    var reply = $("#reply").val();
   // console.log('****'+tema+' -- '+rev+'///'+reply);
    if( reply.length > 1  ){

        fetch('https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=topicClose&t='+tema+'&reply='+reply)
        .then(function(response) {
          return response.json();//json
      }).then(function(data){

         if(data.control > 0){

            Swal.fire({
                title: '¡Genial!',
                text: 'El Tema ha sido Cerrado',
        icon: 'success', // Icono de éxito
        confirmButtonText: 'Aceptar' // Texto del botón de confirmación
    });

         setTimeout(function(){
                window.location.href = 'https://lacallecr.com/VV/apps/Forum/index.php'; 
        }, 5000); // Establece el mismo tiempo que el timer del Sweet Alert para que la redirección ocurra después

        } else {

           Swal.fire({
            icon: "error",
            title: "Oops...",
            text: "Hubo un error 22"

        });


       }

   }).catch(function(error){
    alert("A system error was detected");
});


}
}


function saveChanges(id,company){

    $a['ssss']
    var element = $("#check_"+id+'_'+company);
    var value = 0;

    if ( element.is(':checked') ){
       value = 1;
   } else{
    value = 0;
    
}
//console.log("https://lacallecr.com/VV/apps/leagues/proccess/actions.php?ac=update&id="+id+"&c="+company+"&value="+value);

$.get("https://lacallecr.com/VV/apps/leagues/proccess/actions.php?ac=update&id="+id+"&c="+company+"&value="+value, function(data)  {


});

show_saving_message();
}


function viewControl(){
    var tema = $("#topic").val();
    var user = $("#user").val();
   // console.log("https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=view&tema="+tema+"&user="+user);
//
    $.get("https://lacallecr.com/VV/apps/Forum/proccess/actions.php?ac=view&tema="+tema+"&user="+user, function(data) {});
}

function SearchTema(){
 var tema = $("#buscar").val();

 console.log('BUSCAR '+tema);

 window.location.href = ' https://lacallecr.com/VV/apps/Forum/index.php?s='+tema; 

}



