<?php
ob_start();

class Debug{

	var $vars = array();

	function initial(){}

//////////////////////////////////////////////////
//
//////////////////////////////////////////////////

	function checkErrorCode($code,$error =""){

	    //echo $code;
	   if(isset($_SERVER['HTTP_REFERER'])) {
	     $url = $_SERVER['HTTP_REFERER'];
	   }
	   //switch to Alerts
		switch($code){

			//MYSQL ERRORS
			case '1062': 
		    	$alert = "<script>window.alert('Error # 1452:  Problema de llave Primaria');</script>"; 
		    	break;
			case '1452': 
		    	$alert = "<script>window.alert('Error # 1452:  Problema de llave Secundaria');</script>"; 
		    	break;

			case '1054': 
				$alert = "<script>window.alert('Error # 1054: Columna no encontrada');</script>";
				 break;

			case '1146': 
				$alert = "<script>window.alert('Error # 1146: Tabla no encontrada');</script>";
				 break;

			// WARNINGS ERRORS
			case 'W02': 
				$alert ="<script>window.alert('Error # w02: Faltan Parametros obligatorios');</script>";
				break;
			case 'W03': 
				$alert ="<script>window.alert('Error # w03: Ciclo Foreach vacio');</script>";
				break;	
			case 'W04': 
				$alert ="<script>window.alert('Error # w04: Objeto no encontrado');</script>";
				break;		
			case 'W05': 
				$alert ="<script>window.alert('Error # w05: Falta parametro a Funcion');</script>";
				break;				

            case '6000': 
				$alert ="<script>window.alert('Error # 6000: La clase no existe');</script>";
				break;

			default:
				// $alert ="<script>window.alert('Error # $code: NO AGREGADO $error');</script>";
			      break;


		}
        //header("Refresh:0; url=$url");
		echo $alert;


	}
}
/*
class Vars{

	var $vars = array();

	function initial(){}

}
*/


class _Logs{
    var $vars = array();
    function initial(){}
    function update($specific = NULL){
         db_connect("master");
       return update($this, "logs", $specific);
    }
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "logs");
    }
    function delete(){
          db_connect("master");
       delete("logs", $this->vars["id"]);
    }
}


class _Categorias{
    var $vars = array();
    function initial(){}
    function update($specific = NULL){
         db_connect("master");
       return update($this, "categorias", $specific);
    }
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "categorias");
    }
    function delete(){
          db_connect("master");
       delete("categorias", $this->vars["id"]);
    }
}

class _Temas{
    var $vars = array();
    function initial(){
        $this->vars['info'] = get_user($this->vars['creador']);
        $this->vars['respuestas'] = get_responses($this->vars['id']);
    }
    function update($specific = NULL){
         db_connect("master");
       return update($this, "temas", $specific);
    }
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "temas");
    }
    function delete(){
          db_connect("master");
       delete("temas", $this->vars["id"]);
    }
}



class _Temas_Active{
    var $vars = array();
    function initial(){
        //print_r($this);
        $this->vars['info'] = get_user($this->vars['creador']);
        $this->vars['views'] = get_total_views($this->vars['id']);
        $this->vars['responses'] = get_total_responses($this->vars['id']);
        if($this->vars['responses']['responses'] > 0){
         $this->vars['last_response'] = get_last_responses_time($this->vars['id']);
         if ($this->vars['last_response']['fecha'] == "") { $fecha = $this->vars['fecha']; } else { $fecha = $this->vars['last_response']['fecha']; }
        } else {   $fecha = $this->vars['fecha']; }
        $this->vars['last_update'] = calcularDiferencia($fecha);
    }
    function update($specific = NULL){
         db_connect("master");
       return update($this, "temas", $specific);
    }
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "temas");
    }
    function delete(){
          db_connect("master");
       delete("temas", $this->vars["id"]);
    }
}


class _Respuestas{
    var $vars = array();
    function initial(){
        $this->vars['info'] = get_user($this->vars['id_user']);
    }
    function update($specific = NULL){
         db_connect("master");
       return update($this, "respuestas", $specific);
    }
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "respuestas");
    }
    function delete(){
          db_connect("master");
       delete("respuestas", $this->vars["id"]);
    }
}


class _Views{
    var $vars = array();
    function initial(){}
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "temas_vistos");
    }
    
}


class _Likes{
    var $vars = array();
    function initial(){}
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "temas_likes");
    }
    
}



class _RLikes{
    var $vars = array();
    function initial(){}
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "respuestas_likes");
    }
    
}


class _telegram{
    var $vars = array();
   // function _construct($pvars = array()){$this->vars = $pvars;}
    function initial(){}
    function update($specific = NULL){
        db_connect("master"); 
       return update($this, "telegram", $specific);
    }
    function insert(){
        db_connect("master"); 
       $this->vars["id"] = insert_test($this, "telegram");
       return $this->vars["id"];
    }
    function delete(){
        db_connect("master"); 
       delete("telegram", $this->vars["id"]);
    }
    
}


class _Usuarios{
    var $vars = array();
    function initial(){}
    function update($specific = NULL){
         db_connect("master");
       return update($this, "usuarios", $specific);
    }
    function insert(){
          db_connect("master");
        $this->vars["id"] = insert($this, "usuarios");
    }
    function delete(){
          db_connect("master");
       delete("usuarios", $this->vars["id"]);
    }
}



///////////////////
//OLD
////////////////


class _Books{
	var $vars = array();
	function initial(){}
	function update($specific = NULL){
	     db_connect("master");
	   return update($this, "books", $specific);
	}
	function insert(){
	      db_connect("master");
		$this->vars["id"] = insert($this, "books");
	}
	function delete(){
	      db_connect("master");
	   delete("books", $this->vars["id"]);
	}
}










class _Sports{

	var $vars = array();

	function initial(){
	}

/////////////////////////////

	function update($specific = NULL){
	   if(!is_array($specific) && !is_null($specific)){$specific = explode(",",$specific);}
	   db_connect("master");
	   return update($this, "sports", $specific);
	}

/////////////////////////////

	function insert(){
		try{
			db_connect("master");
			$this->vars["id"] = insert($this, "sports");
		}catch(Exception $e){
		  die($e->getMessage());
		}
		
	}

/////////////////////////////

	function delete(){
	   db_connect("master");	
	   delete("sports", $this->vars["id"]);
	}
}





class _Leagues{

    var $vars = array();

    function initial(){
        $this->vars['sport'] = get_sport($this->vars['id_sport']."_".$this->vars['id_company']);
    }

/////////////////////////////

    function update($specific = NULL){
       if(!is_array($specific) && !is_null($specific)){$specific = explode(",",$specific);}
       db_connect("master");
       return update($this, "leagues", $specific);
    }

/////////////////////////////

    function insert(){
        try{
            db_connect("master");
            $this->vars["id"] = insert($this, "leagues");
        }catch(Exception $e){
          die($e->getMessage());
        }
        
    }

/////////////////////////////

    function delete(){
       db_connect("master");    
       delete("leagues", $this->vars["id"]);
    }
}




class AutoMover {
    private $token;

    public function __construct() {
        $this->token = "e_6V!q!-_9_fmy_x";
    }

    public function books() {
        // Construct the URL with the provided token
        $url = "https://xml.donbest.com/v2/sportsbook/?token=" . urlencode($this->token);

        // Use any method to consume the URL, for example, using cURL
        $xmlData = $this->getDataFromUrl($url);

        // Convert XML to array
        $dataArray = $this->xmlToArray($xmlData);

        // Access and print @attributes values
        $this->printAttributes($dataArray);

        // You can process $dataArray as needed
        return $dataArray;
    }

    public function scores($league = null) {
        // Construct the base URL for scores with the provided token
        $baseUrl = "http://xml.donbest.com/v2/score/";
        $url = $baseUrl . "?token=" . urlencode($this->token);

        // If $league is provided, append it to the URL
        if ($league !== null) {
            $url = $baseUrl . $league . "/?token=" . urlencode($this->token);
        }

        // Use any method to consume the URL, for example, using cURL
        $xmlData = $this->getDataFromUrl($url);

        // Convert XML to array
        $dataArray = $this->xmlToArray($xmlData);

        // Access and print @attributes values
        $this->printAttributes($dataArray);

        // You can process $dataArray as needed
        return $dataArray;
    }

    public function leagues() {
        // Construct the URL for leagues with the provided token
        $url = "http://xml.donbest.com/v2/league/?token=" . urlencode($this->token);

        // Use any method to consume the URL, for example, using cURL
        $xmlData = $this->getDataFromUrl($url);

        // Convert XML to array
        $dataArray = $this->xmlToArray($xmlData);

        // Access and print @attributes values
        $this->printAttributes($dataArray);

        // You can process $dataArray as needed
        return $dataArray;
    }

    public function schedule() {
        // Construct the URL for the current schedule with the provided token
        $url = "http://xml.donbest.com/v2/current_schedule/?token=" . urlencode($this->token);

        // Use any method to consume the URL, for example, using cURL
        $xmlData = $this->getDataFromUrl($url);

          // Convert XML to array
        $dataArray = $this->xmlToArray($xmlData);

        // Access and print @attributes values
        $this->printAttributes($dataArray);

        // You can process $dataArray as needed
        return $dataArray;
    }

    public function sports() {
        // Construct the URL for sports with the provided token
        $url = "https://xml.donbest.com/v2/sport/?token=" . urlencode($this->token);

        // Use any method to consume the URL, for example, using cURL
        $xmlData = $this->getDataFromUrl($url);

        // Convert XML to array
        $dataArray = $this->xmlToArray($xmlData);

        // Access and print @attributes values
        $this->printAttributes($dataArray);

        // You can process $dataArray as needed
        return $dataArray;
    }

    public function odds($league) {
        // Construct the URL for odds with the provided league and token
        $url = "http://xml.donbest.com/v2/odds/{$league}/?token=" . urlencode($this->token);

        // Use any method to consume the URL, for example, using cURL
        $xmlData = $this->getDataFromUrl($url);

        // Convert XML to array
        $dataArray = $this->xmlToArray($xmlData);

        // Access and print @attributes values
        $this->printAttributes($dataArray);

        // You can process $dataArray as needed
        return $dataArray;
    }

    private function getDataFromUrl($url) {
        // Implement your logic to fetch data from the URL (e.g., using cURL, file_get_contents, etc.)
        // This is a basic example using cURL
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $data = curl_exec($ch);
        curl_close($ch);

        return $data;
    }

    private function xmlToArray($xml) {
        // Convert XML string to SimpleXMLElement
        $xmlObject = simplexml_load_string($xml, "SimpleXMLElement", LIBXML_NOCDATA);

        // Convert SimpleXMLElement to JSON and then to associative array
        $json = json_encode($xmlObject);
        $array = json_decode($json, true);

        return $array;
    }

    private function printAttributes($array) {
        // Check if @attributes key exists
        if (isset($array['@attributes'])) {
            // Access and print the values
            foreach ($array['@attributes'] as $key => $value) {
                echo "$key: $value\n";
            }
        }
    }
}

?>