<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulario de Acceso</title>
    <link href="css/styles.css" rel="stylesheet">
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.js"></script>
         
    <script src="js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
    <script type="text/javascript" src="js/functions.js"></script>


</head>
<body>
    <header>
        <img src="https://lacallecr.com/VV/apps/Forum/images/slide.jpg" alt="Header Image">
    </header>
    <main>
        <h1>Formulario de Acceso</h1>
        <h2>Por favor llenar los siguientes campos</h2>
        <form action="" id="fmr_register" method="post">
            <div class="form-group">
                <label for="nombre">NOMBRE</label>
                <input type="text" id="nombre" name="nombre" required>
            </div>
            <div class="form-group">
                <label for="correo">CORREO</label>
                <input type="email" id="correo" name="correo" required>
            </div>
            <div class="form-group">
                <label for="filial">#FILIAL</label>
                <input type="text" id="filial" name="filial" required>
            </div>
            <button id="btn_post" type="submit">Enviar</button>
        </form>
    </main>
</body>
</html>
